export declare class ASet<T> extends Array {
    get size(): number;
    constructor(elements?: T[]);
    add(el: T): void;
    delete(el: T): void;
    difference(set: ASet<T>): ASet<T>;
    has(el: T): boolean;
    intersection(set: ASet<T>): ASet<T>;
    isDisjointFrom(set: ASet<T>): boolean;
    isSubsetOf(set: ASet<T>): boolean;
    isSuperset(set: ASet<T>): boolean;
    symmetricDifference(set: ASet<T>): ASet<any>;
    union(set: ASet<T> | Array<T>): ASet<any>;
}
