export type ProgressCallback = (progress: number) => any;
export declare class PromiseProgress<T> extends Promise<T> {
    private listeners;
    private _progress;
    get progress(): number;
    set progress(p: number);
    constructor(executor: (resolve: (value: T) => any, reject: (reason: any) => void, progress: (progress: number) => any) => void);
    onProgress(callback: ProgressCallback): this;
}
